html, body {
    height: 100%;
    min-height: 100%;
}

body {
    -js-display: flex;
    display: flex;
    flex-direction: column;
    font-family: "AnticDidone";
    line-height: 1.2;
}

body[data-view-section="FP"] {
    font-family: "AnticDidone"!important;
    line-height: 1.2!important;
}

/* body[data-view-section="LP"],
body:not([data-view-section="LP"]) #wrapper { */
body #wrapper {
    background: rgb(85,121,139);
    background: -moz-linear-gradient(180deg, rgba(115, 197, 19,1) 34%, rgba(54, 91, 11,1) 100%);
    background: -webkit-linear-gradient(180deg, rgba(115, 197, 19,1) 34%, rgba(54, 91, 11,1) 100%);
    background: linear-gradient(180deg, rgba(115, 197, 19,1) 34%, rgba(54, 91, 11,1) 100%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#55798b",endColorstr="#273849",GradientType=1);
}

[trigger-action="show"],
body[data-view-section="OF"] [id^=optin].offer .hideOpt,
body[data-view-section="OF"] [id^=optin].offer input[type=radio]:not(.visible),
body[data-view-section="OF"] [id^=optin].offer:not([data-show-img="true"]) img,
body[data-view-section="FP"] [id^=optin].offer .hideOpt,
body[data-view-section="FP"] [id^=optin].offer input[type=radio]:not(.visible),
body[data-view-section="FP"] [id^=optin].offer:not([data-show-img="true"]) img {
    display: none;
}

body[data-view-section="LP"] #content,
body[data-view-section="LP"] #content .container,
body[data-view-section="LP"] #content .container .vertical_content_wrap {
    height: 100%;
}

body[data-view-section="LP"] #content .container .vertical_content_wrap {
    -js-display: flex;
    display: flex;
    -webkit-flex-direction: column;
    -moz-flex-direction: column;
    -ms-flex-direction: column;
    -o-flex-direction: column;
    align-items: center;
    flex-direction: column;
    justify-content: center;
}

body[data-view-section="LP"] #content .container header + div + .vertical_content_wrap {
    justify-content: start;
}

body #wrapper {
    flex: 1 0 auto;
}

.grey_box {
    /* padding: 30px; */
    background: #f6f6f6;
    /* border: 1px solid #dadada; */
}

/* body[data-view-section="LP"] #wrapper #call-to-action {
    margin-top: 4rem;
}

@media screen and (max-width: 767px) {
    body[data-view-section="LP"] #wrapper #call-to-action {
        margin-top: 2rem;
    }
} */

body[data-view-section="LP"] #wrapper #call-to-action h1 {
    color: #FFF;
    font-size: 4.8rem;
    text-align: center;
    letter-spacing: 2px;
    margin-top: 12px;
    font-weight: bolder;
    text-shadow: 1px 1px 1px rgb(0 0 0 / 50%);
}

.landing_wrap_in {
    padding: 8px 20px;
}

.landing_rel {
    margin: 8px auto 0;
}

.sweepstakes {
    text-align: center;
    /* width: 80%; */
    max-width: 900px;
    margin: auto;
    font-size: 11px;
    line-height: 1.4;
    color: #FFF;
    font-family: 'Open Sans', sans-serif;
    padding-bottom: 2rem;
}

body[data-view-section="LP"] .tcpa-language {
    font-size: 11px;
    padding: 2px 4em;
    display: block;
    max-width: 640px;
    margin: 20px auto 0;
    text-align: center;
    color: #FFF;
    font-family: 'Open Sans', sans-serif;
}

.modal-marketing-partners ul {
    font-family: 'Open Sans', sans-serif;
}

.sweepstakes a,
body[data-view-section="LP"] .tcpa-language a {
    color: #FFF;
}

.sweepstakes > p {
    margin: 1rem auto;
}

@media screen and (max-width: 767px) {
    body[data-view-section="LP"] .tcpa-language {
        width: 90%;
        padding: 0;
    }

    .sweepstakes {
        width: 90%;
    }

    .landing_rel {
        margin: 0 auto;
    }

    body[data-view-section="LP"] #wrapper #call-to-action h1[data-cash-amount="500"] {
        /* font-size: 6rem; */
        font-size: 10vh;
    }

    body[data-view-section="LP"] #wrapper #call-to-action h1[data-cash-amount="500"] + h1,
    body[data-view-section="LP"] #wrapper #call-to-action h1[data-cash-amount="500"] + h1 + h1 {
        /* font-size: 3.2rem; */
        font-size: 5vh;
    }

    body[data-view-section="LP"] #wrapper #call-to-action h1[data-cash-amount="500"],
    body[data-view-section="LP"] #wrapper #call-to-action h1[data-cash-amount="500"] + h1,
    body[data-view-section="LP"] #wrapper #call-to-action h1[data-cash-amount="500"] + h1 + h1 {
        margin-top: 4px;
    }

    .landing_wrap_in {
        padding: 8px 12px;
    }
}

body[data-view-section="LP"] #wrapper #call-to-action > h1[data-position="top"] {
    font-size: 6rem;
    margin-bottom: 12px;
    text-shadow: 2px 4px 4px rgb(0 0 0);
}

@media screen and (max-width: 767px) {
    body[data-view-section="LP"] #wrapper #call-to-action > h1[data-position="top"] {
        /* font-size: 4rem; */
        font-size: 6vh;
    }
}

body[data-view-section="LP"] #wrapper #call-to-action .stroke {
    width: 80%;
    margin: auto;
    text-align: center;
    position: relative;
}

@media screen and (max-width: 767px) {
    body[data-view-section="LP"] #wrapper #call-to-action .stroke {
        width: 90%;
        margin: 0 auto 2rem;
    }
}

body[data-view-section="LP"] #wrapper #call-to-action .stroke > img {
    width: inherit;
}

@media screen and (max-width: 767px) {
    body[data-view-section="LP"] #wrapper #call-to-action .stroke > img {
        left: 0;
        right: 0;
        top: -4px;
        margin: auto;
        display: block;
        position: absolute;
    }
}

body[data-view-section="LP"] #wrapper #call-to-action .stroke > img:last-child {
    left: 0;
    right: 0;
    top: -4px;
    margin: auto;
    display: block;
    position: absolute;
}

#panel-wrapper .blurb {
    margin: .5rem auto 4vw;
    padding: 0 2.4vw;
}

#panel-wrapper .blurb p {
    color: #FFF;
    font-size: 2rem;
    text-align: center;
    line-height: 1.2;
}

@media screen and (max-width: 767px) {
    #panel-wrapper .blurb p {
        /* font-size: 1.8rem; */
        font-size: 2vh;
    }
}

#panel-wrapper #labels {
    color: #FFF;
    font-family: inherit;
    letter-spacing: 1px;
}

@media screen and (max-width: 767px) {
    #panel-wrapper #labels {
        font-size: 1.6rem;
        padding: 1.2rem;
        line-height: 1.2;
    }
}

.stroke-underlined {
    position: relative;
    margin-right: 1rem;
}

.stroke-underlined:after {
    content: "";
    position: absolute;
    bottom: -10px;
    left: 0;
    right: 0;
    margin: auto;
    height: 7px;
    width: 80%;
    border: solid 2px #FFF;
    border-color: #FFF transparent transparent transparent;
    border-radius: 50%;
}

.form-field  {
    position: relative;
    text-align: center;
}

.form-field > input,
.form-field > select {
    color: #253647;
    margin: 0;
    padding: 0;
    border: 2px solid #253647;
    font-family: inherit;
    display: inline-block;
    font-size: 1.4rem;
    height: inherit;
    width: calc(100% - 4px);
    text-align: center;
    border-radius: 4px;
    letter-spacing: 2px;
}

#panel-wrapper .form-field {
    margin: auto;
    height: 60px;
    width: 460px;
}

#panel-wrapper.form-container-lp button {
    display: block;
    height: auto;
    color: #FFF;
    cursor: pointer;
    padding: 1rem 0;
    margin: 20px auto;
    border-radius: 4px;
    box-shadow: none;
    /* background: #1b5db7; */
    background: #1B5DB7;
    background: -webkit-linear-gradient(180deg, rgba(27, 93, 183, 1) 0%, rgba(5, 41, 91, 1) 100%);
    background: -moz-linear-gradient(180deg, rgba(27, 93, 183, 1) 0%, rgba(5, 41, 91, 1) 100%);
    background: linear-gradient(180deg, rgba(27, 93, 183, 1) 0%, rgba(5, 41, 91, 1) 100%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#1B5DB7", endColorstr="#05295B", GradientType=0);
    font-size: 2rem;
    min-width: 460px;
    max-width: 460px;
    font-family: inherit;
    font-weight: 600;
    letter-spacing: 8px;
    text-indent: 12px;
    /* border: 2px solid #253647; */
    border: 1px solid #0a346f;
}

#panel-wrapper.form-container-lp > h5 {
    margin: auto;
    padding: 1.4em 0;
    font-weight: normal;
    color: #666666;
    font-family: inherit;
    font-size: 2rem;
}

@media screen and (max-width: 767px) {
    #panel-wrapper .form-field {
        width: auto;
    }

    #panel-wrapper.form-container-lp > h5 {
        font-size: 1.4rem;
    }

    #panel-wrapper.form-container-lp button {
        width: 100%;
        min-width: 100%;
        font-size: 2rem;
    }

    #panel-wrapper.form-container-lp button.submit {
        font-size: 1.6rem;
    }
}

body:not([data-view-section="LP"]) .container {
    width: auto;
    padding: 0 15px;
    margin: auto;
}

body[data-view-section="OF"] div.content_wrapper,
body[data-view-section="FP"] div.content_wrapper {
    background: #FFF;
    padding: 2rem;
    margin: 4rem auto;
    width: calc(100% - 10%);
    max-width: 900px;
}

@media screen and (max-width: 767px) {
    body[data-view-section="OF"] div.content_wrapper,
    body[data-view-section="FP"] div.content_wrapper {
        padding: 1rem;
        margin: 2rem auto;
        width: initial;
    }
}

body[data-view-section="OF"] [id^=optin].offer,
body[data-view-section="FP"] [id^=optin].offer {
    display: none;
    text-align: center;
    font-family: 'Open Sans', sans-serif;
    line-height: 1.4;
    border: 1px solid #dadada;
    padding: 30px;
}

body[data-view-section="OF"] #offer-wrapper[data-internal-staff="true"],
body[data-view-section="FP"] .offers_content[data-internal-staff="true"],
body[data-view-section="FP"] [data-internal-staff="true"][data-creative-type="linkout"] {
    position: relative;
}

body[data-view-section="OF"] #offer-wrapper[data-internal-staff="true"] [id^=optin].offer:before,
body[data-view-section="FP"] .offers_content[data-internal-staff="true"] [id^=optin].offer:before,
body[data-view-section="FP"] [data-internal-staff="true"][data-creative-type="linkout"] #optIn:before {
    content: 'ID – 'attr(data-version);
    font-size: 1rem;
    position: absolute;
    top: -24px;
    background: var(--color-default);
    left: 0;
    right: 0;
    margin: auto;
    padding: 4px 12px;
    color: #FFF;
    font-weight: 600;
    width: 100%;
    border-radius: 8px;

    --d: .8em;
    inset-inline: calc(-1* var(--d));
    border-bottom: var(--d) solid #91919188;
    line-height: 1.8;
    clip-path: polygon(0 0, 100% 0, 100% calc(100% - var(--d)), calc(100% - var(--d)) 100%, calc(100% - var(--d)) calc(100% - var(--d)), var(--d) calc(100% - var(--d)), var(--d) 100%, 0 calc(100% - var(--d)));
}

body[data-view-section="OF"] #offer-wrapper[data-internal-staff="true"] [id^=optin].offer[contained-ids]:before {
    /* content: 'Container ID – 'attr(data-version)' || \"Served\" Contained IDs – ('attr(contained-ids)')'; */
}

body[data-view-section="OF"] #offer-wrapper[data-internal-staff="true"] [id^=optin].offer[contained-ids] :not([style*="none"]){
    content: '';
}

body[data-view-section="FP"] [data-internal-staff="true"][data-creative-type="linkout"] #optIn {
    padding-top: 2.4rem;
}

body[data-view-section="FP"] [data-internal-staff="true"][data-creative-type="linkout"] #optIn:before {
    content: 'ID – #' attr(data-versionId);
}

@media screen and (max-width: 767px) {
    body[data-view-section="OF"] #offer-wrapper[data-internal-staff="true"] [id^=optin].offer,
    body[data-view-section="FP"] .offers_content[data-internal-staff="true"] [id^=optin].offer,
    body[data-view-section="FP"] [data-internal-staff="true"][data-creative-type="linkout"] #optIn {
        padding-top: 2.4rem;
    }

    body[data-view-section="OF"] #offer-wrapper[data-internal-staff="true"] [id^=optin].offer:before,
    body[data-view-section="FP"] .offers_content[data-internal-staff="true"] [id^=optin].offer:before,
    body[data-view-section="FP"] [data-internal-staff="true"][data-creative-type="linkout"] #optIn:before {
        top: -8px;
        font-size: .9rem;
    }

    body[data-view-section="OF"] [id^=optin].offer,
    body[data-view-section="FP"] [id^=optin].offer {
        padding: 24px 16px;
    }
}

body[data-view-section="FP"] [id^=optin].offer .multi-btn {
    -js-display: flex;
    display: flex;
    -webkit-flex-direction: column;
    -moz-flex-direction: column;
    -ms-flex-direction: column;
    -o-flex-direction: column;
    flex-direction: column;
    align-items: center;
    justify-content: space-around;
    flex-wrap: wrap;
}

body[data-view-section="OF"] [id^=optin].offer input[type=radio] + label,
body[data-view-section="FP"] [id^=optin].offer input[type=radio] + label,
#OF .submit-container a.next[event="submit"],
#OF .submit-container a.next[event="skip"] {
    cursor: pointer;
    display: inline-block;
    font-size: 1.4rem;
    font-weight: bold;
    padding: 2rem;
    border-radius: 24px;
    letter-spacing: 2px;
}

body[data-view-section="FP"] [id^=optin].offer .multi-btn input[type=radio] + label {
    font-size: 1rem;
}

@media screen and (max-width: 767px) {
    body[data-view-section="FP"] [id^=optin].offer .multi-btn input[type=radio] + label {
        margin: 12px auto;
    }
}

body[data-view-section="OF"] [id$=_Extras] small > a,
body[data-view-section="FP"] [id$=_Extras] small > a {
    width: fit-content;
}

body[data-view-section="OF"] [id$=_Extras] .marketing-partners-container,
body[data-view-section="FP"] [id$=_Extras] .marketing-partners-container {
    height: inherit;
}

body[data-view-section="OF"] #offer-wrapper,
body[data-view-section="FP"] .grey_box  {
    margin-bottom: 0!important;
}

body[data-view-section="FP"] [data-creative-type="linkout"] #optIn {
    padding-top: 1rem;
}

body[data-view-section="OF"] [id^=optin].offer p,
body[data-view-section="FP"] [id^=optin].offer p {
    margin-bottom: 1em;
}

body[data-view-section="OF"] [id^=optin].offer input:not([type=radio], [type=checkbox]),
body[data-view-section="FP"] [id^=optin].offer input:not([type=radio], [type=checkbox]) {
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    border: 1px solid #cacac9;
    padding: 10px;
    min-width: 25%;
    font-size: 1rem;
}

body[data-view-section="OF"] [id^=optin].offer input[name$="[phone]"],
body[data-view-section="FP"] [id^=optin].offer input[name$="[phone]"] {
    text-align: center;
}

body[data-view-section="OF"] a.skipOffer,
body[data-view-section="FP"] a.skipOffer {
    text-decoration: none;
}

body[data-view-section="OF"] .multi-btn,
body[data-view-section="FP"] .multi-btn {
    margin: auto;
}
body[data-view-section="OF"] [id^=optin].offer .opt,
body[data-view-section="FP"] [id^=optin].offer .opt {
    padding: 1.2rem 0;
}

body[data-view-section="OF"] [id^=optin].offer[data-show-img="true"] .offer_details,
body[data-view-section="FP"] [id^=optin].offer[data-show-img="true"] .offer_details {
    -js-display: flex;
    display: flex;
    justify-content: center;
    align-items: center;
}

@media screen and (max-width: 767px) {
    body[data-view-section="OF"] [id^=optin].offer[data-show-img="true"] .offer_details,
    body[data-view-section="FP"] [id^=optin].offer[data-show-img="true"] .offer_details {
        flex-wrap: wrap;
    }
}

body[data-view-section="OF"] [id^=optin].offer[data-show-img="true"] .offer_details > div,
body[data-view-section="FP"] [id^=optin].offer[data-show-img="true"] .offer_details > div {
    margin: 1rem;
}

body[data-view-section="OF"] [id^=optin].offer[data-show-img="true"] .offer_details > .image,
body[data-view-section="FP"] [id^=optin].offer[data-show-img="true"] .offer_details > .image {
    width: 200px;
}

body[data-view-section="OF"] [id^=optin].offer[data-show-img="true"] .offer_details > .offer_text,
body[data-view-section="FP"] [id^=optin].offer[data-show-img="true"] .offer_details > .offer_text {
    width: fit-content;
    text-align: left;
}

@media screen and (max-width: 767px) {
    body[data-view-section="OF"] [id^=optin].offer[data-show-img="true"] .offer_details > .offer_text,
    body[data-view-section="FP"] [id^=optin].offer[data-show-img="true"] .offer_details > .offer_text {
        text-align: center;
    }
}

body[data-view-section="FP"] .offers_content[data-creative-type="linkout"] {
    font-family: 'Open Sans', sans-serif;
}

body[data-view-section="FP"] .offers_content[data-creative-type="linkout"] a {
    text-decoration: none;
}

body[data-view-section="FP"] .offers_content[data-creative-type="linkout"] p {
    text-align: center;
    margin: 2rem auto;
    display: inline-block;
    font-family: 'Open Sans', sans-serif;
}

body[data-view-section="TY"] .grey_box > * {
    color: #FFF;
    text-align: center;
    font-family: 'Open Sans', sans-serif;
    line-height: 1.4;
    margin-bottom: 1.2rem;
}

[id$="Language"][class="tcpa-language"],
[id$="Langauge"][class="tcpa-language"] {
    font-size: 11px;
    display: block;
    margin: 20px 0;
    text-align: center;
    line-height: 16px!important;
}

[id$="Language"][class="tcpa-language"] > p,
[id$="Langauge"][class="tcpa-language"] > p {
    margin: auto;
    text-align: inherit;
    line-height: inherit!important;
}

#footer {
    color: #999;
    padding: 8px;
    flex-shrink: 0;
    font-size: 14px;
    background: #FFF;
    font-family: 'Open Sans', sans-serif;
}

#footer > * {
    padding: 4px;
    text-align: center;
}

#footer a {
    color: #0c3977;
    text-decoration: none;
}

#footer li {
    display: inline-block;
}

#footer li:not(:last-child):after {
    content: ' ';
    width: 1px;
    height: 14px;
    margin: 0 8px;
    display: inline-block;
    vertical-align: middle;
    border-right: 1px solid #ccc;
}
